/* -------------------------------------------------------------------------- */
/*                                  Libraries                                 */
/* -------------------------------------------------------------------------- */
import React from "react";
import Modal from "components/containers/modal/Modal";
/* -------------------------------------------------------------------------- */
/*                                  Icons/SVG                                 */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/*                                 Components                                 */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/*                                    Hooks                                   */
/* -------------------------------------------------------------------------- */
import { useUIViewModel } from "ui/controller/uiViewModel";
import { useUIStore } from "ui/data/uiSlice";
import { Combobox } from "@headlessui/react";
import { useTranslation } from "react-i18next";
/* -------------------------------------------------------------------------- */
/*                           Global search component                          */
/* -------------------------------------------------------------------------- */
export default function GlobalSearchbar() {
  const store = useUIStore();
  const results = ["none", "nonenone"];
  const {t} = useTranslation();
  const { isSearchbarShown, hideSearchbar } = useUIViewModel(store);
  return (
    <Modal
      isOpen={isSearchbarShown}
      onClose={hideSearchbar}
      className="max-w-3xl"
    >
      <Combobox value="" onChange={() => {}}>
        <div className="flex space-x-2 -mt-3 -mx-5 items-center">
          <div className="flex-none basis-5">
           
          </div>
        </div>
        <Combobox.Options>

        </Combobox.Options>
      </Combobox>
    </Modal>
  );
}
